Extending Qt Creator Manual | IFindFilter

Extending Qt Creator Manual 4.5.2

# IFindFilter Class

(Core::IFindFilter)

- List of all members, including inherited members

## Public Functions

virtual | ~IFindFilter()
virtual QWidget * | createConfigWidget()
virtual QKeySequence | defaultShortcut() const
virtual QString | displayName() const = 0
virtual void | findAll(const QString &txt, FindFlags findFlags) = 0
virtual QString | id() const = 0
virtual bool | isEnabled() const = 0
virtual bool | isReplaceSupported() const
virtual bool | isValid() const
virtual void | readSettings(QSettings *settings)
virtual void | replaceAll(const QString &txt, FindFlags findFlags)
virtual bool | showSearchTermInput() const
virtual FindFlags | supportedFindFlags() const
virtual void | writeSettings(QSettings *settings)

## Signals

void | displayNameChanged()
void | enabledChanged(bool enabled)
void | validChanged(bool valid)

## Static Public Members

QString | descriptionForFindFlags(FindFlags flags)
QPixmap | pixmapForFindFlags(FindFlags flags)

## Member Function Documentation

### `[virtual]` IFindFilter::~IFindFilter()

Destroys the instance of IFindFilter. The destructor is virtual.

### `[virtual]` QWidget *IFindFilter::createConfigWidget()

### `[virtual]` QKeySequence IFindFilter::defaultShortcut() const

### `[static]` QString IFindFilter::descriptionForFindFlags(FindFlags flags)

### `[pure virtual]` QString IFindFilter::displayName() const

### `[signal]` void IFindFilter::displayNameChanged()

### `[signal]` void IFindFilter::enabledChanged(bool enabled)

### `[pure virtual]` void IFindFilter::findAll(const QString &txt, FindFlags findFlags)

### `[pure virtual]` QString IFindFilter::id() const

### `[pure virtual]` bool IFindFilter::isEnabled() const

### `[virtual]` bool IFindFilter::isReplaceSupported() const

### `[virtual]` bool IFindFilter::isValid() const

### `[static]` QPixmap IFindFilter::pixmapForFindFlags(FindFlags flags)

### `[virtual]` void IFindFilter::readSettings(QSettings *settings)

### `[virtual]` void IFindFilter::replaceAll(const QString &txt, FindFlags findFlags)

### `[virtual]` bool IFindFilter::showSearchTermInput() const

### `[virtual]` FindFlags IFindFilter::supportedFindFlags() const

### `[signal]` void IFindFilter::validChanged(bool valid)

### `[virtual]` void IFindFilter::writeSettings(QSettings *settings)